#!/bin/sh
# utils/run-tests.sh.  Generated from run-tests.sh.in by configure.
#
# run the test suite
#
# runs in verbatim mode as self-tests are essentially nested,
# and we want unaltered results from the nested instances

set -e
set -u

abs_top_builddir="/tmp/v0.2/build"
abs_top_srcdir="/tmp/v0.2/build/.."

PATH="${abs_top_builddir}/src/tools:${PATH}"

# extract options for arguments
OPTS=""
n=$#
while [ $n -ne 0 ]; do
    case $1 in
        -*) OPTS="${OPTS} $1"; shift ;;
        *) ARG=$1; shift; set -- "$@" ${ARG} ;;
    esac
    n=$((n-1))
done

# enumerate test input files
if [ -z "${1:-}" ]; then
    cd ${abs_top_srcdir}/tests/
    TESTS="$(echo *.t)"
else
    TESTS="$*"
fi

# run in verbatim mode
# forward any other options along with the tests names
${abs_top_builddir}/utils/kuulto-run -V ${OPTS} ${TESTS}
